Subject: Re: [bug#33598] Optimizations for emacs-clang-format and emacs-clang-rename

From: Ludovic Courtès <[email-masked]>
Date: Mon, 07 Jan 2019 23:10:23 +0100

Hello!

Pierre Neidhardt <[email-masked]> skribis:

> Hmmm... Not too sure where to put package-elisp-from-package.
> I see the following options:
>
> - build-system/emacs.scm, but is it our policy?
> - Or a separate file, but which one?
>   
> @Ludo?

I actually fixed it today right after you reverted the commit (I rebased
and didn’t notice it had been reverted in the meantime):

  https://git.savannah.gnu.org/cgit/guix.git/commit/?id=67eebb19b70acfe997b40d8c7978f9dc0673a4af

With this you should be able to reinstate the rest of the commit.

I tried to explain the reason for the issue in the commit log, let me
know if anything’s unclear.

Thanks,
Ludo’.